## Class TSqlMapDelete

Description

TSqlMapDelete class corresponds to the <delete> element.

- since: 3.1
- version: $Id: TSqlMapStatement.php 1910 2007-05-08 07:49:50Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSqlMapStatement.php (line 365)

    TComponent
       |
       --TSqlMapStatement
          |
          --TSqlMapUpdate
             |
             --TSqlMapDelete

Methods

#### Inherited Methods

Inherited From TSqlMapStatement

> TSqlMapStatement::createInstanceOf()
> TSqlMapStatement::createInstanceOfListClass()
> TSqlMapStatement::createInstanceOfResultClass()
> TSqlMapStatement::getCache()
> TSqlMapStatement::getCacheModel()
> TSqlMapStatement::getExtends()
> TSqlMapStatement::getID()
> TSqlMapStatement::getListClass()
> TSqlMapStatement::getParameterClass()
> TSqlMapStatement::getParameterMap()
> TSqlMapStatement::getResultClass()
> TSqlMapStatement::getResultMap()
> TSqlMapStatement::getSqlText()
> TSqlMapStatement::initialize()
> TSqlMapStatement::parameterMap()
> TSqlMapStatement::resultMap()
> TSqlMapStatement::setCache()
> TSqlMapStatement::setCacheModel()
> TSqlMapStatement::setExtends()
> TSqlMapStatement::setID()
> TSqlMapStatement::setInlineParameterMap()
> TSqlMapStatement::setListClass()
> TSqlMapStatement::setParameterClass()
> TSqlMapStatement::setParameterMap()
> TSqlMapStatement::setResultClass()
> TSqlMapStatement::setResultMap()
> TSqlMapStatement::setSqlText()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:18 -0400 by phpDocumentor 1.3.0RC4